/*
 * @(#)EnforcementExceptionTest.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso.authority;

import info.dragonlady.sso.authority.EnforcementException;
import junit.framework.TestCase;

/**
 * EnforcementExceptionクラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/05 19:52:07 $
 */
public class EnforcementExceptionTest extends TestCase {

	/**
	 * @param arg0
	 */
	public EnforcementExceptionTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.authority.EnforcementException#EnforcementException()} のためのテスト・メソッド。
	 */
	public final void testEnforcementException() {
		try {
			new EnforcementException();
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.authority.EnforcementException#EnforcementException(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testEnforcementExceptionString() {
		try {
			String message = "message";
			new EnforcementException(message);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.authority.EnforcementException#EnforcementException(java.lang.Throwable)} のためのテスト・メソッド。
	 */
	public final void testEnforcementExceptionThrowable() {
		try {
			Exception e = new Exception("exception_message");
			new EnforcementException(e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.authority.EnforcementException#EnforcementException(java.lang.String, java.lang.Throwable)} のためのテスト・メソッド。
	 */
	public final void testEnforcementExceptionStringThrowable() {
		try {
			String message = "message";
			Exception e = new Exception("exception_message");
			new EnforcementException(message, e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
